Page MenuHomeFreeBSD

D59035.diff
No OneTemporary

D59035.diff

diff --git a/tools/tools/nanobsd/_xxx_includes.subr b/tools/tools/nanobsd/_xxx_includes.subr
--- a/tools/tools/nanobsd/_xxx_includes.subr
+++ b/tools/tools/nanobsd/_xxx_includes.subr
@@ -9,3 +9,27 @@
# "Nothing is more permanent than a temporary solution"
#
#######################################################################
+
+#######################################################################
+# Distribution Set variables and functions
+#
+
+# These should be fixed in base.txz
+_xxx_remove_extra_dist_files() {
+ # Remove debug files present in base.txz
+ if ! nano_distributions_contains "-dbg.txz "; then
+ tgt_rm usr/lib/debug
+ fi
+ # Remove lib32 files present in base.txz
+ if ! nano_distributions_contains " lib32"; then
+ tgt_rm libexec/ld-elf32.so.1
+ tgt_rm usr/bin/ldd32
+ tgt_rm usr/libexec/ld-elf32.so.1
+ fi
+ # Remove test files present in base.txz
+ if ! nano_distributions_contains " tests.txz "; then
+ tgt_rm usr/tests
+ tgt_rm usr/lib/libxo/encoder/test.enc
+ tgt_rm usr/share/man/man7/tests.7.gz
+ fi
+}

File Metadata

Mime Type
text/plain
Expires
Mon, Aug 24, 6:13 AM (19 h, 58 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
37030995
Default Alt Text
D59035.diff (1 KB)

Event Timeline